Bug 1255587 - (CVE-2015-5185) CVE-2015-5185 sblim-sfcb: lookupProviders() null pointer dereference
CVE-2015-5185 sblim-sfcb: lookupProviders() null pointer dereference
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150820,repor...
: Security
Depends On: 1255802
Blocks: 1255588
  Show dependency treegraph
 
Reported: 2015-08-21 00:06 EDT by Kurt Seifried
Modified: 2016-12-04 15:35 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way the lookupProviders() function processed certain requests without "className" information. An authenticated remote attacker could use this flaw to cause a denial of service (sfcbd crash) by sending a specially crafted request.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2015-08-21 00:06:00 EDT
Qinghao Tang of QIHU 360 reports:

The function lookupProviders() in sblim-sfcb of version 1.3.4 and 1.3.18
exists a null dereference vulnerability , a remote attacher can cause a
denial of servise (sblim-sfcb crash) via a crafted packet without
"className" info.


Let`s see how this issue happened,the code below is from
./sblim-sfcb-1.3.18/providerMgr.c :


static UtilList *lookupProviders(long type, char *className, char
*nameSpace,
CMPIStatus *st)
{
UtilList *lst;
UtilHashTable **ht=provHt(type,1);
char *id;
int rc;

_SFCB_ENTER(TRACE_PROVIDERMGR, "lookupProviders");

//here, className should be checked
id=(char*)malloc(strlen(nameSpace)+strlen(className)+8);
strcpy(id,nameSpace);
strcat(id,"|");

...

}
Comment 2 Stefan Cornelius 2015-08-21 11:19:42 EDT
Created sblim-sfcb tracking bugs for this issue:

Affects: fedora-all [bug 1255802]
Comment 5 Fedora Update System 2015-08-25 04:56:33 EDT
sblim-sfcb-1.4.9-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14197
Comment 6 Fedora Update System 2015-08-25 04:58:25 EDT
sblim-sfcb-1.4.9-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14199
Comment 7 Fedora Update System 2015-08-25 05:00:17 EDT
sblim-sfcb-1.4.8-5.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14200
Comment 8 Fedora Update System 2015-08-26 00:25:44 EDT
sblim-sfcb-1.4.9-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sblim-sfcb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14197
Comment 9 Fedora Update System 2015-08-26 13:25:03 EDT
sblim-sfcb-1.4.8-5.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sblim-sfcb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14200
Comment 10 Fedora Update System 2015-08-26 13:27:39 EDT
sblim-sfcb-1.4.9-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sblim-sfcb'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14199
Comment 11 Kurt Seifried 2015-08-28 10:56:30 EDT
Acknowledgement:

Red Hat would like to thank Qinghao Tang from QIHU 360 company for reporting this issue.
Comment 12 Stefan Cornelius 2015-09-01 05:04:34 EDT
Statement:

This issue affects the versions of sblim-sfcb as shipped with Red Hat Enterprise Linux 6 and 7. Red Hat Product Security has rated this issue as having Moderate security impact. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 14 Fedora Update System 2015-11-24 14:53:01 EST
sblim-sfcb-1.4.9-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-11-24 17:25:27 EST
sblim-sfcb-1.4.9-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-11-24 17:50:11 EST
sblim-sfcb-1.4.8-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.